Автор Тема: Проблема с установкой TeamViewer через терминал  (Прочитано 862 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Roman76

  • Новичок форума
  • Topic Author
  • Сообщений: 3
Здравствуйте уважаемые!
Возникла проблема с установкой team viewer на Kali GNU/Linux Rolling 64-бит.

Сначала добавляю поддержку 32-х битной архитектуры
#sudo dpkg --add-architecture i386Далее
#sudo apt-get updateВыдаёт
sudo apt-get update
Игн:1 http://dl.google.com/linux/chrome/deb stable InRelease
Сущ:2 http://dl.google.com/linux/chrome/deb stable Release                     
Игн:4 https://ftp.debian.org/debian stretch-backports InRelease               
Пол:5 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]     
Ошб:6 https://ftp.debian.org/debian stretch-backports Release                 
  Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. The name in the certificate does not match the expected.  Could not handshake: Error in the certificate verification. [IP: 130.89.148.12 443]
Сущ:7 https://hlzmel.fsmg.org.nz/kali kali-rolling InRelease                   
Чтение списков пакетов… Готово                                                 
E: Репозиторий «https://ftp.debian.org/debian stretch-backports Release» больше не содержит файла Release.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.
N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).
W: Цель Packages (main/binary-amd64/Packages) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель Packages (main/binary-i386/Packages) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель Packages (main/binary-all/Packages) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель Translations (main/i18n/Translation-ru_RU) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель Translations (main/i18n/Translation-ru) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель Translations (main/i18n/Translation-en) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель DEP-11 (main/dep11/Components-amd64.yml) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель DEP-11 (main/dep11/Components-all.yml) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель DEP-11-icons-small (main/dep11/icons-48x48.tar) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель DEP-11-icons (main/dep11/icons-64x64.tar) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:2
W: Цель Packages (main/binary-amd64/Packages) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель Packages (main/binary-i386/Packages) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель Packages (main/binary-all/Packages) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель Translations (main/i18n/Translation-ru_RU) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель Translations (main/i18n/Translation-ru) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель Translations (main/i18n/Translation-en) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель DEP-11 (main/dep11/Components-amd64.yml) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель DEP-11 (main/dep11/Components-all.yml) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель DEP-11-icons-small (main/dep11/icons-48x48.tar) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
W: Цель DEP-11-icons (main/dep11/icons-64x64.tar) настроена несколько раз: в /etc/apt/sources.list.d/stretch-backports.list:1 и в /etc/apt/sources.list.d/stretch-backports.list:3
Далее
# sudo apt-get install libdbus-1-3:i386 libasound2:i386 libexpat1:i386 libfontconfig1:i386 libfreetype6:i386 libjpeg62:i386 libpng12-0:i386 libsm6:i386 libxdamage1:i386 libxext6:i386 libxfixes3:i386 libxinerama1:i386 libxrandr2:i386 libxrender1:i386 libxtst6:i386 zlib1g:i386 libc6:i386
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Заметьте, вместо «libjpeg62:i386» выбирается «libjpeg62-turbo:i386»
Уже установлен пакет libasound2:i386 самой новой версии (1.1.8-1).
Уже установлен пакет libc6:i386 самой новой версии (2.28-10).
Уже установлен пакет libdbus-1-3:i386 самой новой версии (1.12.16-1).
Уже установлен пакет libexpat1:i386 самой новой версии (2.2.7-2).
Уже установлен пакет libfontconfig1:i386 самой новой версии (2.13.1-2+b1).
Уже установлен пакет libfreetype6:i386 самой новой версии (2.9.1-4).
Уже установлен пакет libjpeg62-turbo:i386 самой новой версии (1:1.5.2-2+b1).
Уже установлен пакет libsm6:i386 самой новой версии (2:1.2.3-1).
Уже установлен пакет libxdamage1:i386 самой новой версии (1:1.1.5-1).
Уже установлен пакет libxext6:i386 самой новой версии (2:1.3.3-1+b2).
Уже установлен пакет libxfixes3:i386 самой новой версии (1:5.0.3-1).
Уже установлен пакет libxinerama1:i386 самой новой версии (2:1.1.4-2).
Уже установлен пакет libxrandr2:i386 самой новой версии (2:1.5.1-1).
Уже установлен пакет libxrender1:i386 самой новой версии (1:0.9.10-1).
Уже установлен пакет libxtst6:i386 самой новой версии (2:1.2.3-1).
Уже установлен пакет zlib1g:i386 самой новой версии (1:1.2.11.dfsg-1+b1).
Следующий пакет устанавливался автоматически и больше не требуется:
  multiarch-support
Для его удаления используйте «sudo apt autoremove».
Следующие НОВЫЕ пакеты будут установлены:
  libpng12-0:i386
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 1345 пакетов не обновлено.
Установлено или удалено не до конца 1 пакетов.
Необходимо скачать 0 B/122 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 304 kB.
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 407847 файлов и каталогов.)
Подготовка к распаковке …/libpng12-0_1.2.54-1ubuntu1.1_i386.deb …
Распаковывается libpng12-0:i386 (1.2.54-1ubuntu1.1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu1.1_i386.deb (--unpack):
 не удалось установить новую версию «/lib/i386-linux-gnu/libpng12.so.0»: Нет такого файла или каталога
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu1.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
« Последнее редактирование: 11 Сентябрь 2019, 11:16:02 от ogost »
 

Оффлайн Roman76

  • Новичок форума
  • Topic Author
  • Сообщений: 3
Re: Проблема с установкой TeamViewer через терминал
« Ответ #1 : 11 Сентябрь 2019, 08:47:35 »
Запускаю
# sudo dpkg -i teamviewer*.deb
(Чтение базы данных … на данный момент установлено 407847 файлов и каталогов.)
Подготовка к распаковке teamviewer_i386.deb …
Распаковывается teamviewer:i386 (11.0.137769) на замену (11.0.137769) …
dpkg: зависимости пакетов не позволяют настроить пакет teamviewer:i386:
 teamviewer:i386 зависит от libpng12-0, однако:
  Пакет libpng12-0:i386 не установлен.

dpkg: ошибка при обработке пакета teamviewer:i386 (--install):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 teamviewer:i386

Помогите пожалуйста с надёжным репозиторием так как ранее установленный пришлось удалить, так как он не распаковал и не установил libping12-0
« Последнее редактирование: 11 Сентябрь 2019, 11:17:55 от ogost »
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3173
Re: Проблема с установкой TeamViewer через терминал
« Ответ #2 : 11 Сентябрь 2019, 11:27:19 »
У вас каша в sources.list.
Репозитории всяких убунт и кали не совместимы с дебиан, чтобы вам не говорили, поэтому никогда не добавляйте их в свой sources.list. По крайней мере пока не наберётесь опыта.
Показывайте свой sources.list, может получится исправить всё без переустановки.
Так же прошу пользоваться тегом "код" (значок решётки над смайликами)

Оффлайн Roman76

  • Новичок форума
  • Topic Author
  • Сообщений: 3
Re: Проблема с установкой TeamViewer через терминал
« Ответ #3 : 11 Сентябрь 2019, 12:13:07 »
sources.list
#### BACKUP for /etc/apt/sources.list created <insert date here>
deb https://http.kali.org/kali kali-rolling main non-free contrib
#### Manually Added sources ## source for libpng12-0 package deb http://mirrors$
deb http://security.ubuntu.com/ubuntu xenial-security main
deb http://packages.linuxmint.com/ nadia main upstream import
deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiver$
deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe $
deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted univers$
deb http://archive.canonical.com/ubuntu/ quantal partner
deb http://packages.medibuntu.org/ quantal free non-free
deb http://archive.getdeb.net/ubuntu quantal-getdeb apps
deb http://archive.getdeb.net/ubuntu quantal-getdeb games

deb-src http://http.kali.org/kali kali-rolling main non-free contrib

 

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 5045
  • Jabber: qupl@jabber.ru
Re: Проблема с установкой TeamViewer через терминал
« Ответ #4 : 11 Сентябрь 2019, 12:36:17 »
У вас каша в sources.list.
Репозитории всяких убунт и кали не совместимы с дебиан, чтобы вам не говорили, поэтому никогда не добавляйте их в свой sources.list. По крайней мере пока не наберётесь опыта.
Показывайте свой sources.list, может получится исправить всё без переустановки.
Так же прошу пользоваться тегом "код" (значок решётки над смайликами)
У автора и не Debian, так что темы для обсуждения нет.
 
Пользователи, которые поблагодарили этот пост: ogost

Теги:
 

AMD Phenom II X6 1100T Black / FX-8150 : проблема выбора

Автор Alexey_F

Ответов: 0
Просмотров: 1915
Последний ответ 04 Декабрь 2011, 04:37:01
от Alexey_F
Проблема с руским языком Knoppix 7.6

Автор Grig96

Ответов: 6
Просмотров: 2571
Последний ответ 11 Июль 2016, 19:55:27
от Grig96
Проблема с USB.

Автор 99942

Ответов: 3
Просмотров: 1039
Последний ответ 25 Октябрь 2017, 12:57:18
от sidbar
Проблема со шрифтами

Автор Ferus

Ответов: 10
Просмотров: 2335
Последний ответ 05 Июнь 2014, 20:03:40
от vladimir_ar
Проблема с файлом g2ldr.mdr при запуске

Автор ramirez12

Ответов: 1
Просмотров: 1353
Последний ответ 25 Август 2017, 20:29:58
от ogost